Feature: MineSweeperGame
 I want to test the minesweeper game class's game feature in action.
 We test it with a sample 5x5 table with 7 mines -> 
    | 0 1 2 3 4
  ---------------
  0 | 1 2 9 1 0
  1 | 1 9 4 3 1
  2 | 2 3 9 9 1
  3 | 1 9 4 4 2
  4 | 1 2 9 2 9
 
 Scenario Outline: Game
  Given I pass <command> to the games
  And I do nothing for 0.1 seconds
  Then I will see the <A's score> and <B's score> and <game state> and <active player>
  
  Examples:
   | command   | A's score | B's score | game state | active player |
   | start#A#B |     0     |     0     |  started   |       A       |
   | hit#0#4   |     0     |     0     |  started   |       B       |
   | hit#0#2   |     0     |     1     |  started   |       B       |
   | hit#1#1   |     0     |     2     |  started   |       B       |
   | hit#0#1   |     0     |     2     |  started   |       A       |
   | hit#2#2   |     1     |     2     |  started   |       A       |
   | hit#2#3   |     2     |     2     |  started   |       A       |
   | hit#3#1   |     3     |     2     |  started   |       A       |
   | hit#4#3   |     3     |     2     |  started   |       B       |
   | hit#4#2   |     3     |     3     |  started   |       B       |
   | hit#2#4   |     3     |     3     |  started   |       A       |
   | hit#2#0   |     3     |     3     |  started   |       B       |
   | hit#4#4   |     3     |     4     |  stopped   |       -       |
   
 
