Feature: MineSweeperGame_Basic
 I want to make a class that implements a minesweeper multiplayer game. 
 I want to test the basic features of it.

 Scenario: Game Started
  Given I call start(true) to the MS1 and start(false) to MS2
  When I call isStarted method for MS1 and MS2
  Then I will see [true,true]
  
 Scenario: Table Setup
  Given I call setTable(table,size) method of MS
  When I call getTable method of MS
  Then I will see 'table'
  
 Scenario: Table Setup 2
  Given I call setTable(table,size) method of MS
  When I call getTableWithMask method of MS
  Then I will see a lot of 'X'
  
 Scenario Outline: Table Setup and hit a cell
  Given I call setTable( <table> ,size) method of MS
  And When I call start(true) method of MS
  And When I call hit( <x> , <y> )
  When I call getTableWithMask method of MS
  Then I will see the unhidden cells between 'X'-es in <result>
  
  Examples:
   | x  | y  |    table         |  result           |
   | 2  | 3  | 1291921122101910 | XXXXXX11XX10XX10  |
   | 0  | 0  | 1291921122101910 | 1XXXXXXXXXXXXXXX  |
   | 0  | 2  | 1291921122101910 | XX10XXXXXXXXXXXXX |