
begin require 'rspec/expectations'; rescue LoadError; require 'spec/expectations'; end 
require 'cucumber/formatter/unicode'
$:.unshift(File.dirname(__FILE__) + '/../../lib')

Given /^I pass ([a-zA-Z]+)#([A-Z0-9]+)#([A-Z0-9]+) to the games$/ do |arg1,arg2,arg3|
 if arg1.eql?("start")
  A.start(arg2.eql?("A"))
  B.start(!arg2.eql?("A"))
 else
  A.hit(arg2.to_i,arg3.to_i)
  B.hit(arg2.to_i,arg3.to_i)
 end
end

Then /^I will see the (\d+) and (\d+) and ([a-zA-Z]+) and ([A-Z-])$/ do |ascore, bscore, state, active|
  if (!active.eql?("-"))
   curractive = (A.active)? "A":"B"
   curractiveother = (B.active)? "B":"A"
  else
   curractive = "-"
   curractiveother = "-"
  end
  currAscore = A.score
  currBscore = B.score
  currAstate = (A.isStarted)? "started":"stopped"
  currBstate = (B.isStarted)? "started":"stopped"
  curractive.should == curractiveother
  curractive.should == active
  currAscore.should == ascore.to_i
  currBscore.should == bscore.to_i
  currAstate.should == currBstate
  currAstate.should == state
  curractive.should == active
end


Given /^I do nothing for (\d+)\.(\d+) seconds$/ do |arg1, arg2|
  str = "#{arg1}.#{arg2}"
  sleep(str.to_f)
end




